function schange = revenuechange(lambdanew,pnew,lambdaold,pold,My,y,ymean,er,ew,gamma,rho)
% compute wage changes as given by the formulas in the paper
what = (gamma+rho)*(-er/(1-(gamma+rho)*ew))*(1-((1-pnew)*lambdanew*y.^(1-pnew))./((1-pold)*lambdaold*y.^(1-pold)))...
    -(gamma+rho)*trapz(My,y/ymean*(-er/(1-(gamma+rho)*ew)).*(1-((1-pnew)*lambdanew*y.^(1-pnew))./((1-pold)*lambdaold*y.^(1-pold))));

% compute change in government revenue
schange = trapz(My,lambdaold*y.^(1-pold)-lambdanew*y.^(1-pnew)) +...
    trapz(My,(1-lambdaold*(1-pold)*y.^(-pold)).*y*(-er).*(1-((1-pnew)*lambdanew*y.^(1-pnew))./((1-pold)*lambdaold*y.^(1-pold))))...
    + trapz(My,(1-lambdaold*(1-pold)*y.^(-pold)).*(y.*what+y*ew.*what));
end