function [welfarehat,welfarehatnodtc] = welfarechange(lambda,lambda70,p,p70,My,y,ymean,er,ew,gamma,rho,g,welfare)
% simulate welfare effects using formula for local effects

%compute wage effect
what = (gamma+rho)*(-er/(1-(gamma+rho)*ew))*(1-((1-p70)*lambda70*y.^(1-p70))./((1-p)*lambda*y.^(1-p)))...
    -(gamma+rho)*trapz(My,y/ymean*(-er/(1-(gamma+rho)*ew)).*(1-((1-p70)*lambda70*y.^(1-p70))./((1-p)*lambda*y.^(1-p))));

whatnodtc = (gamma)*(-er/(1-(gamma)*ew))*(1-((1-p70)*lambda70*y.^(1-p70))./((1-p)*lambda*y.^(1-p)))...
    -(gamma)*trapz(My,y/ymean*(-er/(1-(gamma)*ew)).*(1-((1-p70)*lambda70*y.^(1-p70))./((1-p)*lambda*y.^(1-p))));

%compute welfare effect
% welfarediff = trapz(My,(1-g).*(lambda*y.^(1-p)-lambda70*y.^(1-p70)))...
%     + trapz(My,(1-lambda*(1-p)*y.^(-p)).*y*(-er).*(1-((1-p70)*lambda70*y.^(1-p70))./((1-p)*lambda*y.^(1-p))))...
%     + trapz(My,(g*lambda*(1-p).*y.^(-p)+(1-lambda*(1-p)*y.^(-p))*(1+ew)).*y.*what);
welfarediff = trapz(My,(1-g).*(lambda*y.^(1-p)-lambda70*y.^(1-p70)))...
    + trapz(My,(1-lambda*(1-p)*y.^(-p)).*y*(-er).*(1-((1-p70)*lambda70*y.^(-p70))./((1-p)*lambda*y.^(-p))))...
    + trapz(My,(g*lambda*(1-p).*y.^(-p)+(1-lambda*(1-p)*y.^(-p))*(1+ew)).*y.*what);
welfarehat = welfarediff/welfare;

% welfarediffnodtc = trapz(My,(1-g).*(lambda*y.^(1-p)-lambda70*y.^(1-p70)))...
%     + trapz(My,(1-lambda*(1-p)*y.^(-p)).*y*(-er).*(1-((1-p70)*lambda70*y.^(1-p70))./((1-p)*lambda*y.^(1-p))))...
%     + trapz(My,(g*lambda*(1-p).*y.^(-p)+(1-lambda*(1-p)*y.^(-p))*(1+ew)).*y.*whatnodtc);
welfarediffnodtc = trapz(My,(1-g).*(lambda*y.^(1-p)-lambda70*y.^(1-p70)))...
    + trapz(My,(1-lambda*(1-p)*y.^(-p)).*y*(-er).*(1-((1-p70)*lambda70*y.^(-p70))./((1-p)*lambda*y.^(-p))))...
    + trapz(My,(g*lambda*(1-p).*y.^(-p)+(1-lambda*(1-p)*y.^(-p))*(1+ew)).*y.*whatnodtc);
welfarehatnodtc = welfarediffnodtc/welfare;
end