function welfare = welfare(c,l,lumpsum,mass,r,My,e)

% compute individual utilities
u = c - e/(e+1)*l.^((e+1)/e);

% compute welfare
if r == 1
    welfare = exp(mass*log(lumpsum)+trapz(My,log(u)));
else
    welfare = (mass*lumpsum^(1-r)+trapz(My,u.^(1-r)))^(1/(1-r));
end

end